#include <stdio.h>
#include <stdlib.h>
#include "replace-text.h"

char source[]="This is my simple little replacement text, my name is $NAME and "
"I would prefer it if you didn't abuse it.  The current time is $TIME and date is $DATE";



int main( int argc, char **argv )
{
	struct RPLTXT_object rpl;

	printf("Initialising...\n");
	RPLTXT_init(&rpl);
	printf("adding variables...\n");
	RPLTXT_add_variable( &rpl, "$NAME", "Paul L Daniels" );
	RPLTXT_add_variable( &rpl, "$DATE", "12/12/12" );
	RPLTXT_add_variable( &rpl, "$TIME", "9235:1231" );
	RPLTXT_add_variable( &rpl, "$NOTUSED", "This is not usedXXXX" );

	printf("converting...\n");
	RPLTXT_convert( &rpl, source );

	printf("Printign result...\n");
	fprintf(stdout,"%s\n",rpl.output_text);

	printf("Cleaning up...");
	RPLTXT_done(&rpl);
	printf("Done.\n");

	return 0;
}
